Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.parser
Class NodeDesc

    java.lang.Object
      com.stc.hl7.parser.NodeDesc

All Implemented Interfaces:
  java.lang.Cloneable

    public class NodeDesc

extends java.lang.Object
implements java.lang.Cloneable

An object of this class represents the description of the node

Constructor Summary
`NodeDesc()` Constructor for NodeDesc
`NodeDesc(java.lang.String name, byte type, boolean top, boolean template)` Creates the internal descriptor for a node.

Method Summary
`void` | `addSubNode(RefDesc refnode)` Adds subnode to the list
`java.lang.Object` | `clone()` Creates and returns a copy of this object.
`boolean` | `equals(java.lang.Object obj)` Returns true if the object is this NodeDesc
`byte[]` | `getDefaultOutput()` Gets the defaultOutput of this node
`java.lang.String` | `getDescription()` Gets the comment of this node
`com.stc.otd.fog.FogComposite` | `getFogCompositeNode()` Gets the FogComposite node of this node
`java.lang.String` | `getInitialOutput()` Gets the value for initial of data output
`java.lang.String` | `getInputMatch()` Gets value for match of data input
`int` | `getLength()` Gets the length of this node
`int[][]` | `getLevels()` Gets the levels of this node
`java.lang.String` | `getName()` Gets the name of this node
`byte` | `getNodeType()` Gets the type of this node
`java.util.ArrayList` | `getSubNodes()` Gets the subnode list of this node
`RefDesc` | `getSubNodes(int i)` Gets the subnode at index i
`byte` | `getType()` Gets the FogComposite type
`boolean` | `hasChildren()` Gets the subnode at index i
`boolean` | `isOptional()` Gets the optional value of this node
`boolean` | `isTemplate()` Gets the template value for this node
`boolean` | `isTop()` Gets the top value for this node
`void` | `setDefaultOutput(byte[] defaultOutput)` Sets the defaultOutput of this node
`void` | `setDescription(java.lang.String comment)` Sets the comment of this node
`void` | `setFogCompositeNode(com.stc.otd.fog.FogComposite node)` Sets the FogComposite node of this node
`void` | `setInitialOutput(java.lang.String initialOutput)` Sets value for initial of data output
`void` | `setInputMatch(java.lang.String inputMatch)` Sets value for match of data input
`void` | `setLength(int length)` Sets the length of this node
`void` | `setLevels(int[][] levels)` Sets the levels of this node
`void` | `setName(java.lang.String name)` Sets the name of this node
`void` | `setNodeType(byte type)` Sets the type of this node
`void` | `setOptional(boolean optional)` Sets the optional value of this node
`void` | `setSubNodes(java.util.ArrayList subnodes)` Sets the subnode list of this node
`void` | `setTemplate(boolean template)` Sets template value for this node
`void` | `setTop(boolean top)` Sets top value for this node
`void` | `setType(byte type)` Sets the FogComposite type

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeDesc

    public NodeDesc()

  Constructor for NodeDesc

### NodeDesc

    public NodeDesc(java.lang.String name,
                    byte type,
                    boolean top,
                    boolean template)

  Creates the internal descriptor for a node. This will be used to generate the actual run-time Nodes.Node entry later on, or the corresponding FogComposite object.

  Parameters:
    `name` - the node name, for tracing only
    `type` - from Nodes.Node.Type, can be UNDEF
    `top` - flag: can be used as root of data tree?
    `template` - flag: is this an internal template?

Method Detail

### clone

    public java.lang.Object clone()

  Creates and returns a copy of this object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Copy of this object

### equals

    public boolean equals(java.lang.Object obj)

  Returns true if the object is this NodeDesc

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the object is this NodeDesc

### setName

    public void setName(java.lang.String name)

  Sets the name of this node

  Parameters:
    `name` - node name

### getName

    public java.lang.String getName()

  Gets the name of this node

  Returns:
    name of the node

### setType

    public void setType(byte type)

  Sets the FogComposite type

  Parameters:
    `type` - FogComposite type

### getType

    public byte getType()

  Gets the FogComposite type

  Returns:
    FogComposite type

### setNodeType

    public void setNodeType(byte type)

  Sets the type of this node

  Parameters:
    `type` - node type

### getNodeType

    public byte getNodeType()

  Gets the type of this node

  Returns:
    node type

### setDescription

    public void setDescription(java.lang.String comment)

  Sets the comment of this node

  Parameters:
    `comment` - node comment

### getDescription

    public java.lang.String getDescription()

  Gets the comment of this node

  Returns:
    node comment

### setTop

    public void setTop(boolean top)

  Sets top value for this node

  Parameters:
    `top` - true if this is a top node else false

### isTop

    public boolean isTop()

  Gets the top value for this node

  Returns:
    node top true if this is a top node else false

### setTemplate

    public void setTemplate(boolean template)

  Sets template value for this node

  Parameters:
    `template` - true if this is a template node else false

### isTemplate

    public boolean isTemplate()

  Gets the template value for this node

  Returns:
    node template true if this is a template node else false

### setLength

    public void setLength(int length)

  Sets the length of this node

  Parameters:
    `length` - node length

### getLength

    public int getLength()

  Gets the length of this node

  Returns:
    node length

### setOptional

    public void setOptional(boolean optional)

  Sets the optional value of this node

  Parameters:
    `optional` - node optional value

### isOptional

    public boolean isOptional()

  Gets the optional value of this node

  Returns:
    node optional value

### setSubNodes

    public void setSubNodes(java.util.ArrayList subnodes)

  Sets the subnode list of this node

  Parameters:
    `subnodes` - subnode list

### getSubNodes

    public java.util.ArrayList getSubNodes()

  Gets the subnode list of this node

  Returns:
    subnode list

### getSubNodes

    public RefDesc getSubNodes(int i)

  Gets the subnode at index i

  Returns:
    subnode at index i

### addSubNode

    public void addSubNode(RefDesc refnode)

  Adds subnode to the list

  Parameters:
    `refnode` - subnode of this node

### hasChildren

    public boolean hasChildren()

  Gets the subnode at index i

  Returns:
    true if this node has children, else false

### setLevels

    public void setLevels(int[][] levels)

  Sets the levels of this node

  Parameters:
    `levels` - node levels

### getLevels

    public int[][] getLevels()

  Gets the levels of this node

  Returns:
    node levels

### setInputMatch

    public void setInputMatch(java.lang.String inputMatch)

  Sets value for match of data input

  Parameters:
    `inputMatch` - Match for input

### getInputMatch

    public java.lang.String getInputMatch()

  Gets value for match of data input

  Returns:
    Match for input

### setInitialOutput

    public void setInitialOutput(java.lang.String initialOutput)

  Sets value for initial of data output

  Parameters:
    `initialOutput` - Default value for output

### getInitialOutput

    public java.lang.String getInitialOutput()

  Gets the value for initial of data output

  Returns:
    Default value for output

### setDefaultOutput

    public void setDefaultOutput(byte[] defaultOutput)

  Sets the defaultOutput of this node

  Parameters:
    `defaultOutput` - node defaultOutput

### getDefaultOutput

    public byte[] getDefaultOutput()

  Gets the defaultOutput of this node

  Returns:
    node defaultOutput

### setFogCompositeNode

    public void setFogCompositeNode(com.stc.otd.fog.FogComposite node)

  Sets the FogComposite node of this node

  Parameters:
    `node` - node FogComposite node

### getFogCompositeNode

    public com.stc.otd.fog.FogComposite getFogCompositeNode()

  Gets the FogComposite node of this node

  Returns:
    FogComposite node

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD